.zoom-in {
  position: relative;
  overflow: hidden;
}

.zoom-in:hover img {
  transform: scale(1.2);
}

.zoom-in::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.0);
  z-index: 1;
  opacity: 0;
  transition: all 0.3s ease-in-out;
}

.zoom-in:hover::before {
  opacity: 1;
}
